#!/bin/bash


# Detect and handle running under SALOME YACS module.
YACS_ARG=
if test "$SALOME_CONTAINERNAME" != "" -a "$CFDRUN_ROOT_DIR" != "" ; then
  YACS_ARG="--yacs-module=${CFDRUN_ROOT_DIR}"/lib/salome/libCFD_RunExelib.so
fi

# Export paths here if necessary or recommended.
export PATH=/opt/saturne/v214/openmpi-1.4.4/bin:$PATH
export LD_LIBRARY_PATH=/opt/saturne/v214/openmpi-1.4.4/lib:$LD_LIBRARY_PATH

cd /home/eliberge/SATURNE/v214/cylindre/CASE1/RESU/20120420-1143

# Run solver.
/home/eliberge/SATURNE/v214/cylindre/CASE1/RESU/20120420-1143/cs_solver --param re1000.xml $YACS_ARGS $@

CS_RET=$?

exit $CS_RET

